Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QSqlRecord

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QSqlRecord class reference

### Public Functions

- int position ( const QString & name ) const
- QString toString ( const QString & prefix = QString(), const QString & sep = QLatin1String( "," ) ) const
- QStringList toStringList ( const QString & prefix = QString() ) const

## Member Function Documentation

### int QSqlRecord::position ( const QString & name ) const

Use indexOf() instead.

### QString QSqlRecord::toString ( const QString & prefix = QString(), const QString & sep = QLatin1String( "," ) ) const

Returns a list of all the record's field names as a string separated by sep.

Note that fields for which isGenerated() returns false are not included. The returned string is suitable, for example, for generating SQL `SELECT` statements. If a prefix is specified, e.g. a table name, all fields are prefixed in the form:

"prefix.<fieldname>"

### QStringList QSqlRecord::toStringList ( const QString & prefix = QString() ) const

Returns a list of all the record's field names, each having the prefix prefix.

Note that fields for which isGenerated() returns false are not included. If prefix is supplied, e.g. a table name, all fields are prefixed in the form:

"prefix.<fieldname>"